## kustomize 5.1.1

=== Makefile ===
# Copyright 2019 The Kubernetes Authors.
# SPDX-License-Identifier: Apache-2.0
#
# Makefile for kustomize CLI and API.

LATEST_RELEASE=v5.1.0

SHELL := /usr/bin/env bash
GOOS = $(shell go env GOOS)
GOARCH = $(shell go env GOARCH)
MYGOBIN = $(shell go env GOBIN)
ifeq ($(MYGOBIN),)
MYGOBIN = $(shell go env GOPATH)/bin
endif
export PATH := $(MYGOBIN):$(PATH)

# Provide defaults for REPO_OWNER and REPO_NAME if not present.
# Typically these values would be provided by Prow.
ifndef REPO_OWNER
REPO_OWNER := "kubernetes-sigs"
endif

ifndef REPO_NAME
REPO_NAME := "kustomize"
endif


# --- Plugins ---
include Makefile-plugins.mk


# --- Tool management ---
include Makefile-tools.mk

.PHONY: install-tools
install-tools: \
	install-local-tools \
	install-out-of-tree-tools

.PHONY: uninstall-tools
uninstall-tools: \
	uninstall-local-tools \
	uninstall-out-of-tree-tools

.PHONY: install-local-tools
install-local-tools: \
	$(MYGOBIN)/gorepomod \
	$(MYGOBIN)/k8scopy \
	$(MYGOBIN)/pluginator

.PHONY: uninstall-local-tools
uninstall-local-tools:
	rm -f $(MYGOBIN)/gorepomod
	rm -f $(MYGOBIN)/k8scopy
	rm -f $(MYGOBIN)/pluginator

# Build from local source.
$(MYGOBIN)/gorepomod:
	cd cmd/gorepomod; \
	go install .

# Build from local source.
$(MYGOBIN)/k8scopy:
	cd cmd/k8scopy; \
	go install .

# Build from local source.
$(MYGOBIN)/pluginator:
	cd cmd/pluginator; \
	go install .


# --- Build targets ---

# Build from local source.
$(MYGOBIN)/kustomize: build-kustomize-api
	cd kustomize; \
	go install -ldflags "-X sigs.k8s.io/kustomize/api/provenance.buildDate=$(shell date -u +'%Y-%m-%dT%H:%M:%SZ')" \
	.

kustomize: $(MYGOBIN)/kustomize

# Used to add non-default compilation flags when experimenting with
# plugin-to-api compatibility checks.
.PHONY: build-kustomize-api
build-kustomize-api: $(MYGOBIN)/goimports $(builtinplugins)
	cd api; $(MAKE) build

.PHONY: generate-kustomize-api
generate-kustomize-api:
	cd api; $(MAKE) generate


# --- Verification targets ---
.PHONY: verify-kustomize-repo
verify-kustomize-repo: \
	install-tools \
	lint \
	check-license \
	test-unit-all \
	build-non-plugin-all \
	test-go-mod \
	test-examples-kustomize-against-HEAD \
	test-examples-kustomize-against-latest-release

# The following target referenced by a file in
# https://github.com/kubernetes/test-infra/tree/master/config/jobs/kubernetes-sigs/kustomize
.PHONY: prow-presubmit-check
prow-presubmit-check: \
	install-tools \
	test-unit-kustomize-plugins \
	test-go-mod \
	build-non-plugin-all \
	test-examples-kustomize-against-HEAD \
	test-examples-kustomize-against-latest-release

.PHONY: license
license: $(MYGOBIN)/addlicense
	./hack/add-license.sh run

.PHONY: check-license
check-license: $(MYGOBIN)/addlicense
	./hack/add-license.sh check

.PHONY: lint
lint: $(MYGOBIN)/golangci-lint $(MYGOBIN)/goimports $(builtinplugins)
	./hack/for-each-module.sh "make lint"

.PHONY: test-unit-all
test-unit-all: \
	test-unit-non-plugin \
	test-unit-kustomize-plugins

# This target is used by our Github Actions CI to run unit tests for all non-plugin modules in multiple GOOS environments.
.PHONY: test-unit-non-plugin
test-unit-non-plugin:
	./hack/for-each-module.sh "make test" "./plugin/*" 16

.PHONY: build-non-plugin-all
build-non-plugin-all:
	./hack/for-each-module.sh "make build" "./plugin/*" 16

.PHONY: test-unit-kustomize-plugins
test-unit-kustomize-plugins:
	./hack/testUnitKustomizePlugins.sh

.PHONY: functions-examples-all
functions-examples-all:
	for dir in $(abspath $(wildcard functions/examples/*/.)); do \
		echo -e "\n---Running make tasks for function $$dir---"; \
		set -e; \
		cd $$dir; $(MAKE) all; \
	done

test-go-mod:
	./hack/for-each-module.sh "go mod tidy -v"

.PHONY:
verify-kustomize-e2e: $(MYGOBIN)/mdrip $(MYGOBIN)/kind
	( \
		set -e; \
		/bin/rm -f $(MYGOBIN)/kustomize; \
		echo "Installing kustomize from ."; \
		cd kustomize; go install .; cd ..; \
		./hack/testExamplesE2EAgainstKustomize.sh .; \
	)

.PHONY:
test-examples-kustomize-against-HEAD: $(MYGOBIN)/kustomize $(MYGOBIN)/mdrip
	./hack/testExamplesAgainstKustomize.sh HEAD

.PHONY:
test-examples-kustomize-against-latest-release: $(MYGOBIN)/mdrip
	./hack/testExamplesAgainstKustomize.sh v5@$(LATEST_RELEASE)


# --- Cleanup targets ---
.PHONY: clean
clean: clean-kustomize-external-go-plugin uninstall-tools
	go clean --cache
	rm -f $(builtinplugins)
	rm -f $(MYGOBIN)/kustomize

# Nuke the site from orbit.  It's the only way to be sure.
.PHONY: nuke
nuke: clean
	go clean --modcache

=== functions/examples/fn-framework-application/Makefile ===
export KUSTOMIZE_ROOT ?= $(shell pwd | sed -E 's|(.*\/kustomize)/(.*)|\1|')
include $(KUSTOMIZE_ROOT)/Makefile-modules.mk

CONTROLLER_GEN_VERSION=v0.11.3

generate: $(MYGOBIN)/controller-gen $(MYGOBIN)/embedmd
	go generate ./...
	embedmd -w README.md

build: generate
	go build -v -o $(MYGOBIN)/app-fn cmd/main.go

$(MYGOBIN)/controller-gen:
	go install sigs.k8s.io/controller-tools/cmd/controller-gen@$(CONTROLLER_GEN_VERSION)

$(MYGOBIN)/embedmd:
	go install github.com/campoy/embedmd@v1.0.0

.PHONY: example
example: build
	$(MYGOBIN)/app-fn pkg/exampleapp/testdata/success/basic/config.yaml


test: generate
	go test -v -timeout 45m -cover ./...

=== debian/changelog ===
kustomize (5.1.1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:55:49 +0200

kustomize (5.1.1-0kali1) kali-dev; urgency=medium

  * New upstream version 5.1.1

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 11 Aug 2023 11:36:38 +0200

kustomize (5.1.0-0kali2) kali-dev; urgency=medium

  * Add missing ca-certificates

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Jun 2023 11:42:36 +0200

kustomize (5.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 5.1.0
  * Update installation
  * Add missing go deps in debian/vendor

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 Jun 2023 11:25:52 +0200

kustomize (3.3.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Jun 2023 16:21:42 +0200

=== debian/control ===
Source: kustomize
Section: golang
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
		       ca-certificates,
               golang-any,
               golang-github-davecgh-go-spew-dev,
               golang-github-evanphx-json-patch-dev,
               golang-github-go-errors-errors-dev,
               golang-github-google-go-cmp-dev,
               golang-github-google-shlex-dev,
               golang-github-imdario-mergo-dev,
               golang-github-sergi-go-diff-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-github-xlab-treeprint-dev,
               golang-golang-x-mod-dev,
               golang-google-protobuf-dev,
               golang-gopkg-check.v1-dev,
               golang-gopkg-inf.v0-dev,
               golang-k8s-kube-openapi-dev,
               golang-k8s-sigs-yaml-dev,
               golang-starlark-dev,
               golang-golang-x-text-dev,
		       golang-golang-x-tools-dev,
               golang-yaml.v2-dev
Standards-Version: 4.6.2
Homepage: https://github.com/kubernetes-sigs/kustomize
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/kubernetes-sigs/kustomize

Package: kustomize
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Customization of kubernetes YAML configurations (program)
 kustomize lets you customize raw, template-free YAML files for multiple
 purposes, leaving the original YAML untouched and usable as is.
 .
 kustomize targets kubernetes; it understands and can patch kubernetes style
 API objects.  It's like make in that what it does is declared in a file, and
 it's like sed (https://www.gnu.org/software/sed), in that it emits edited
 text.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export GOCACHE=$(CURDIR)/_build
export GOPATH=$(CURDIR)/_build
#export GOPROXY=off
export KUSTOMIZE_ROOT=$(CURDIR)

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
# do not install automatically files

execute_after_dh_auto_configure:
	cp -r cmd/pluginator/internal/krmfunction/funcwrappersrc/go.mod.src $(CURDIR)/_build/src/github.com/kubernetes-sigs/kustomize/cmd/pluginator/internal/krmfunction/go.mod.src
	cp -r functions/examples/fn-framework-application/pkg/exampleapp/v1alpha1/platform.example.com_exampleapps.yaml $(CURDIR)/_build/src/github.com/kubernetes-sigs/kustomize/functions/examples/fn-framework-application/pkg/exampleapp/v1alpha1/platform.example.com_exampleapps.yaml
	cp -r kyaml/fn/framework/example/templates $(CURDIR)/_build/src/github.com/kubernetes-sigs/kustomize/kyaml/fn/framework/example/templates

override_dh_auto_build:
	make kustomize

override_dh_auto_test:

override_dh_golang:

override_dh_installdocs:
	mkdir -p debian/kustomize/usr/share/doc/kustomize/
	find debian/kustomize/usr
	dh_installdocs

=== debian/tests/control ===
Test-Command: kustomize --help
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/kubernetes-sigs/kustomize/tags .*/v?(\d\S*)\.tar\.gz debian

## kustomize 5.5.0+ds

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 # Makefile for kustomize CLI and API.
 
-LATEST_RELEASE=v5.1.0
+LATEST_RELEASE=v5.4.3
 
 SHELL := /usr/bin/env bash
 GOOS = $(shell go env GOOS)
@@ -56,26 +56,24 @@
 
 # Build from local source.
 $(MYGOBIN)/gorepomod:
-	cd cmd/gorepomod; \
-	go install .
+	cd cmd/gorepomod && go install .
 
 # Build from local source.
 $(MYGOBIN)/k8scopy:
-	cd cmd/k8scopy; \
-	go install .
+	cd cmd/k8scopy && go install .
 
 # Build from local source.
 $(MYGOBIN)/pluginator:
-	cd cmd/pluginator; \
-	go install .
+	cd cmd/pluginator && go install .
 
 
 # --- Build targets ---
 
 # Build from local source.
 $(MYGOBIN)/kustomize: build-kustomize-api
-	cd kustomize; \
-	go install -ldflags "-X sigs.k8s.io/kustomize/api/provenance.buildDate=$(shell date -u +'%Y-%m-%dT%H:%M:%SZ')" \
+	cd kustomize && go install -ldflags \
+	"-X sigs.k8s.io/kustomize/api/provenance.buildDate=$(shell date -u +'%Y-%m-%dT%H:%M:%SZ') \
+	 -X sigs.k8s.io/kustomize/api/provenance.version=$(shell git describe --tags --always --dirty)" \
 	.
 
 kustomize: $(MYGOBIN)/kustomize
@@ -84,11 +82,11 @@
 # plugin-to-api compatibility checks.
 .PHONY: build-kustomize-api
 build-kustomize-api: $(MYGOBIN)/goimports $(builtinplugins)
-	cd api; $(MAKE) build
+	cd api && $(MAKE) build
 
 .PHONY: generate-kustomize-api
 generate-kustomize-api:
-	cd api; $(MAKE) generate
+	cd api && $(MAKE) generate
 
 
 # --- Verification targets ---
@@ -108,6 +106,9 @@
 .PHONY: prow-presubmit-check
 prow-presubmit-check: \
 	install-tools \
+	workspace-sync \
+	generate-kustomize-builtin-plugins \
+	builtin-plugins-diff \
 	test-unit-kustomize-plugins \
 	test-go-mod \
 	build-non-plugin-all \
@@ -126,6 +127,10 @@
 lint: $(MYGOBIN)/golangci-lint $(MYGOBIN)/goimports $(builtinplugins)
 	./hack/for-each-module.sh "make lint"
 
+.PHONY: apidiff
+apidiff: $(MYGOBIN)/go-apidiff ## Run the go-apidiff to verify any API differences compared with origin/master
+	go-apidiff master --compare-imports --print-compatible --repo-path=.
+
 .PHONY: test-unit-all
 test-unit-all: \
 	test-unit-non-plugin \
@@ -134,14 +139,14 @@
 # This target is used by our Github Actions CI to run unit tests for all non-plugin modules in multiple GOOS environments.
 .PHONY: test-unit-non-plugin
 test-unit-non-plugin:
-	./hack/for-each-module.sh "make test" "./plugin/*" 16
+	./hack/for-each-module.sh "make test" "./plugin/*" 20
 
 .PHONY: build-non-plugin-all
 build-non-plugin-all:
-	./hack/for-each-module.sh "make build" "./plugin/*" 16
+	./hack/for-each-module.sh "make build" "./plugin/*" 20
 
 .PHONY: test-unit-kustomize-plugins
-test-unit-kustomize-plugins:
+test-unit-kustomize-plugins: build-kustomize-external-go-plugin
 	./hack/testUnitKustomizePlugins.sh
 
 .PHONY: functions-examples-all
@@ -173,7 +178,12 @@
 test-examples-kustomize-against-latest-release: $(MYGOBIN)/mdrip
 	./hack/testExamplesAgainstKustomize.sh v5@$(LATEST_RELEASE)
 
-
+# Pushes dependencies in the go.work file back to go.mod files of each workspace module.
+.PHONY: workspace-sync
+workspace-sync:
+	go work sync
+	./hack/doGoMod.sh tidy
+	
 # --- Cleanup targets ---
 .PHONY: clean
 clean: clean-kustomize-external-go-plugin uninstall-tools

=== debian/changelog ===
kustomize (5.5.0+ds-4) unstable; urgency=medium

  * d/rules: Replace installman to installman-arch (Closes: #1098476)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Fri, 21 Feb 2025 00:55:36 +0000

kustomize (5.5.0+ds-3) unstable; urgency=medium

  * d/control: Add dh-exec to Build-Depends
  * d/rules: Completions only if DEB_BUILD_ARCH equal to DEB_HOST_ARCH
  * d/kustomize.install: Handle cross-build for completions

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Thu, 20 Feb 2025 22:55:37 +0000

kustomize (5.5.0+ds-2) unstable; urgency=medium

  * Source-only upload for migration
  * d/copyright: Update debian copyright year to 2025

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Wed, 12 Feb 2025 23:21:51 +0000

kustomize (5.5.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1026018)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 16 Dec 2024 19:54:14 +0000

=== debian/control ===
Source: kustomize
Section: golang
Priority: optional
Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-golang,
               golang-any,
               golang-github-google-go-cmp-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-exp-dev,
               golang-golang-x-text-dev,
               golang-k8s-sigs-kustomize-api-dev,
               golang-k8s-sigs-kustomize-cmd-config-dev,
               golang-k8s-sigs-kustomize-kyaml-dev,
               golang-k8s-sigs-yaml-dev,
               help2man <!nodoc>
Standards-Version: 4.7.0
Homepage: https://github.com/kubernetes-sigs/kustomize
Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/kustomize
Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/kustomize.git
Rules-Requires-Root: no
XS-Go-Import-Path: sigs.k8s.io/kustomize/kustomize

Package: kustomize
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Customization of Kubernetes YAML configurations (program)
 Kustomize is a standalone binary tool for managing Kubernetes configurations
 without requiring templates.
 .
 It allows users to customize resource configurations through overlays, making
 it easy to reuse and share manifests across environments.
 .
 Kustomize operates natively with Kubernetes YAML, offering functionality like
 applying patches, setting images, and managing common labels and annotations.

Package: golang-k8s-sigs-kustomize-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-go-cmp-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-exp-dev,
         golang-golang-x-text-dev,
         golang-k8s-sigs-kustomize-api-dev,
         golang-k8s-sigs-kustomize-cmd-config-dev,
         golang-k8s-sigs-kustomize-kyaml-dev,
         golang-k8s-sigs-yaml-dev,
         ${misc:Depends}
Description: Customization of Kubernetes YAML configurations (library)
 The Kustomize library provides developers with programmatic access to
 Kustomize's configuration management features.
 .
 It enables the integration of Kubernetes manifest customization into
 applications and workflows, supporting transformations like resource
 composition, patching, and variable substitution.
 .
 This library is ideal for building tools that require Kubernetes
 resource customization.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_build:
	# This step is necessary because the upstream distributes the library with
	# a folder structure that differs from the expected Go module path.
	# The Go module for this library is sigs.k8s.io/kustomize/kustomize/v5.
	# To align the folder structure with the expected module path, this step
	# renames the 'kustomize' folder to 'v5'.
	mv $(CURDIR)/_build/src/sigs.k8s.io/kustomize/kustomize/kustomize $(CURDIR)/_build/src/sigs.k8s.io/kustomize/kustomize/v5

execute_before_dh_auto_install:
	mv _build/bin/v5 _build/bin/kustomize
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	mkdir -v -p $(CURDIR)/debian/completion
	_build/bin/kustomize completion bash > $(CURDIR)/debian/completion/kustomize.bash
	_build/bin/kustomize completion fish > $(CURDIR)/debian/completion/kustomize.fish
	_build/bin/kustomize completion zsh > $(CURDIR)/debian/completion/kustomize.zsh
endif

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
execute_before_dh_installman-arch:
	help2man debian/kustomize/usr/bin/kustomize \
		--no-info --no-discard-stderr \
		--version-string="$(DEB_VERSION_UPSTREAM)" \
		-n "Customization of Kubernetes YAML configurations" > debian/kustomize.1
endif

## kustomize 5.6.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                golang-k8s-sigs-kustomize-kyaml-dev,
                golang-k8s-sigs-yaml-dev,
                help2man <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/kubernetes-sigs/kustomize
 Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/kustomize
 Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/kustomize.git

## kustomize 5.6.0+ds

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 # Makefile for kustomize CLI and API.
 
-LATEST_RELEASE=v5.4.3
+LATEST_RELEASE=v5.5.0
 
 SHELL := /usr/bin/env bash
 GOOS = $(shell go env GOOS)

=== debian/changelog ===
kustomize (5.6.0+ds-1) unstable; urgency=medium

  * New upstream version 5.6.0+ds
  * d/control: Bump Standards-Version to 4.7.2, no changes
  * d/rules:
    - Enable hardening flags for non-MIPS architectures
    - Override dh_auto_configure to use installed source files
  * d/salsa-ci.yml: Replace go-team pipeline with salsa-ci-team

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 25 Mar 2025 19:53:10 +0000

## kustomize 5.7.1

=== debian/changelog ===
kustomize (5.7.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 5.7.1 release
  * Update the static-version-number patch quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 19:44:28 +0200

kustomize (5.5.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 5.5.0 release
  * Update the static-version-number patch quilt patch
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 14 Jan 2025 14:17:39 +0200

kustomize (5.4.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 5.4.3 version
  * Update the quilt patch
  * Bump the Standards-Version
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 17 Aug 2024 21:49:11 +0200

kustomize (5.2.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 5.2.1 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 30 Oct 2023 16:34:15 +0100

kustomize (5.1.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 5.1.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 23 Jul 2023 01:38:06 +0100

kustomize (5.0.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 5.0.2 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 09 May 2023 01:20:44 +0100

kustomize (5.0.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 5.0.1 version
  * Many improvements of the packaging

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 Mar 2023 20:14:43 +0100

kustomize (4.5.7-2kaisen) kaisen-packages; urgency=medium

  * Deletion of the following binaries
    - goimports
    - helmV3
    - kubeval
    - pluginator

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 15 Aug 2022 15:28:58 +0100

kustomize (4.5.7-1kaisen) kaisen-packages; urgency=medium

  * Import kustomize 4.5.7 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 14 Aug 2022 18:22:17 +0100

kustomize (4.5.5-1kaisen) kaisen-packages; urgency=medium

  * Import kustomize 4.5.5 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 29 May 2022 23:04:52 +0100

kustomize (4.5.4-1kaisen) kaisen-packages; urgency=medium

  * Import kustomize 4.5.4 version
  * Update rules (go install is used instead of go get to build)
  * Add docs

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 29 Mar 2022 23:47:48 +0100

kustomize (4.5.2-1kaisen) kaisen-packages; urgency=medium

  * Import kustomize 4.5.2 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 13 Feb 2022 16:07:38 +0100

kustomize (4.4.1-3kaisen) kaisen-packages; urgency=medium

  * Add homepage link

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 09 Jan 2022 03:04:41 +0100

kustomize (4.4.1-2kaisen) kaisen-packages; urgency=medium

  * Update rules file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 30 Dec 2021 20:57:46 +0100

kustomize (4.4.1-1kaisen) kaisen-packages; urgency=medium

  * First packaging for Kaisen Linux

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 23 Dec 2021 11:34:30 +0100

=== debian/control ===
Source: kustomize
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13), dh-golang, golang-go (>= 1.22.7)
Standards-Version: 4.7.0
Homepage: https://kustomize.io/
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/kustomize
Vcs-Git: https://gitlab.com/kaisenlinux/packages/kustomize.git
XS-Go-Import-Path: github.com/kubernetes-sigs/kustomize

Package: kustomize
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Customization of kubernetes YAML configurations

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_build
export GOBIN=$(CURDIR)/_build/bin
export GO111MODULE=on

%:
	dh $@ --buildsystem=golang --builddirectory=_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/_build $(CURDIR)/obj-x86_64-linux-gnu

override_dh_auto_build:
	cp Makefile-modules.mk Makefile-plugins.mk Makefile-tools.mk api/
	make kustomize

override_dh_auto_test:
	make test-unit-kustomize-plugins

override_dh_dwz:

override_dh_auto_install:
	install -p -m 0755 $(CURDIR)/_build/bin/kustomize $(CURDIR)/debian/kustomize/usr/bin
	$(CURDIR)/_build/bin/kustomize completion bash > $(CURDIR)/debian/kustomize/usr/share/bash-completion/completions/kustomize
	$(CURDIR)/_build/bin/kustomize completion zsh > $(CURDIR)/debian/kustomize/usr/share/zsh/vendor-completions/_kustomize

## kustomize 5.7.1+ds

=== debian/changelog ===
kustomize (5.7.1+ds-1) unstable; urgency=medium

  * New upstream version 5.7.1+ds
  * d/control: Require kustomize api, cmd-config, kyaml >= 0.20.1

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 11 Aug 2025 23:20:07 +0100

=== debian/control ===
Source: kustomize
Section: golang
Priority: optional
Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-golang,
               golang-any,
               golang-github-google-go-cmp-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-exp-dev,
               golang-golang-x-text-dev,
               golang-k8s-sigs-kustomize-api-dev (>= 0.20.1),
               golang-k8s-sigs-kustomize-cmd-config-dev (>= 0.20.1),
               golang-k8s-sigs-kustomize-kyaml-dev (>= 0.20.1),
               golang-k8s-sigs-yaml-dev,
               help2man <!nodoc>
Standards-Version: 4.7.2
Homepage: https://github.com/kubernetes-sigs/kustomize
Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/kustomize
Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/kustomize.git
Rules-Requires-Root: no
XS-Go-Import-Path: sigs.k8s.io/kustomize/kustomize

Package: kustomize
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Customization of Kubernetes YAML configurations (program)
 Kustomize is a standalone binary tool for managing Kubernetes configurations
 without requiring templates.
 .
 It allows users to customize resource configurations through overlays, making
 it easy to reuse and share manifests across environments.
 .
 Kustomize operates natively with Kubernetes YAML, offering functionality like
 applying patches, setting images, and managing common labels and annotations.

Package: golang-k8s-sigs-kustomize-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-google-go-cmp-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-exp-dev,
         golang-golang-x-text-dev,
         golang-k8s-sigs-kustomize-api-dev (>= 0.20.1),
         golang-k8s-sigs-kustomize-cmd-config-dev (>= 0.20.1),
         golang-k8s-sigs-kustomize-kyaml-dev (>= 0.20.1),
         golang-k8s-sigs-yaml-dev,
         ${misc:Depends}
Description: Customization of Kubernetes YAML configurations (library)
 The Kustomize library provides developers with programmatic access to
 Kustomize's configuration management features.
 .
 It enables the integration of Kubernetes manifest customization into
 applications and workflows, supporting transformations like resource
 composition, patching, and variable substitution.
 .
 This library is ideal for building tools that require Kubernetes
 resource customization.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

ifeq (,$(filter $(DEB_HOST_ARCH), mips mipsel mips64el))
HARDENING := -buildmode=pie -ldflags="-extldflags -Wl,-z,now,-z,relro"
endif

%:
	dh $@ --builddirectory=_build --buildsystem=golang

# Override dh_auto_configure to use installed source files (as opposed to the
# ones in the source directory).
# https://salsa.debian.org/go-team/packages/dh-golang/-/blob/ae5fd9e2937153ca1fff1b455a392b0b570d6a96/script/dh_golang_autopkgtest#L83
override_dh_auto_configure:
	dh_auto_configure
	# This step is necessary because the upstream distributes the library with
	# a folder structure that differs from the expected Go module path.
	# The Go module for this library is sigs.k8s.io/kustomize/kustomize/v5.
	# To align the folder structure with the expected module path, this step
	# renames the 'kustomize' folder to 'v5'.
	mv $(CURDIR)/_build/src/sigs.k8s.io/kustomize/kustomize/kustomize $(CURDIR)/_build/src/sigs.k8s.io/kustomize/kustomize/v5

override_dh_auto_build:
	dh_auto_build -O --buildsystem=golang -- $(HARDENING)

execute_before_dh_auto_install:
	mv _build/bin/v5 _build/bin/kustomize
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	mkdir -v -p $(CURDIR)/debian/completion
	_build/bin/kustomize completion bash > $(CURDIR)/debian/completion/kustomize.bash
	_build/bin/kustomize completion fish > $(CURDIR)/debian/completion/kustomize.fish
	_build/bin/kustomize completion zsh > $(CURDIR)/debian/completion/kustomize.zsh
endif

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
execute_before_dh_installman-arch:
	help2man debian/kustomize/usr/bin/kustomize \
		--no-info --no-discard-stderr \
		--version-string="$(DEB_VERSION_UPSTREAM)" \
		-n "Customization of Kubernetes YAML configurations" > debian/kustomize.1
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      repacksuffix=+ds,dversionmangle=s/\+ds//,repack,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/kubernetes-sigs/kustomize/tags .*/v?(\d\S*)\.tar\.gz debian

## kustomize 5.8.0+ds

=== debian/changelog ===
kustomize (5.8.0+ds-1) unstable; urgency=medium

  * New upstream version 5.8.0+ds
  * d/control: Require kustomize api, cmd-config, kyaml >= 0.21.0

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 23 Dec 2025 18:55:31 +0000

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                golang-github-stretchr-testify-dev,
                golang-golang-x-exp-dev,
                golang-golang-x-text-dev,
-               golang-k8s-sigs-kustomize-api-dev (>= 0.20.1),
-               golang-k8s-sigs-kustomize-cmd-config-dev (>= 0.20.1),
-               golang-k8s-sigs-kustomize-kyaml-dev (>= 0.20.1),
+               golang-k8s-sigs-kustomize-api-dev (>= 0.21.0),
+               golang-k8s-sigs-kustomize-cmd-config-dev (>= 0.21.0),
+               golang-k8s-sigs-kustomize-kyaml-dev (>= 0.21.0),
                golang-k8s-sigs-yaml-dev,
                help2man <!nodoc>
 Standards-Version: 4.7.2
